Subject: Re: [BUG] Git does not convert CRLF=>LF on files with \r not before \n

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Apr 2015 10:42:53 -0700

Alexandre Garnier <[email-masked]> writes:

> Indeed, when changing the gitattributes for '* text', the replacement is OK.

OK.  Earlier I said:

>> But it would be a bug if the same thing happens when the user
>> explicitly tells us that the file has CRLF line endings, and I
>> suspect we have that bug, which may want to be corrected.

but you are saying that my suspicion is incorrect and we do not have
such a bug.

Thanks for digging further.